---
BLEU Score:
  grouper:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  n_gram_precision:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  brevity_penalty:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  bleu_score:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
Encoder:
  init_submodules:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  forward_pass:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_all_rnn_inputs:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_all_hidden_states:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
Decoder_without_Attention:
  init_submodules:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  forward_pass:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_first_hidden_state:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_current_rnn_input:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_current_hidden_state:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_current_logits:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
Decoder_with_Attention:
  init_submodules:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_first_hidden_state:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_current_rnn_input:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  attend:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_attention_scores:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
Decoder_with_MultiHead_Attention:
  init_submodules:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  attend:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
EncoderDecoder:
  init_submodules:
    type: flexible
    max_mark: 2.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  get_logits_for_teacher_forcing:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  update_beam:
    type: flexible
    max_mark: 6.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
Training_and_Testing:
  train_for_epoch:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  compute_batch_total_bleu:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
  compute_average_bleu_over_dataset:
    type: flexible
    max_mark: 4.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
GPU_Section_and_Report:
  gpu_section+report:
    type: flexible
    max_mark: 7.0
    description: ''
    ta_visible: true
    peer_visible: false
    bonus: false
Bonus:
  type: flexible
  max_mark: 15.0
  description: ''
  ta_visible: true
  peer_visible: false
  bonus: true
